package heuristics;

import java.util.HashMap;
import java.util.Map;

import parser.State;

public class ECContainerMap implements ECContainer
{
	private Map<State,Integer> eCs;
	
	public ECContainerMap() {
		eCs = new HashMap<State,Integer>();
	}

	@Override
	public void insert(State s, int ec)
	{
//		System.out.println("Inserting " + s + " into " + ec);
		eCs.put(s, ec);
	}

	@Override
	public Integer getEC(State s)
	{
		return eCs.get(s);
	}
	
	public void derefAll(){
		
	}
}
